.buy-button-full {
  --button-height: 3rem;
  position: relative;
  min-height: var(--button-height);
}

.buy-button-full__add-to-cart {
  width: 100%;
  height: var(--button-height);
  padding: 0 var(--spacing-sm);
  border: none;
  font-weight: bold;
  background-color: var(--color-primary);
  color: var(--color-on-primary);
  border-radius: var(--radius-xs);
}

.buy-button-full__quantity {
  display: flex;
  height: var(--button-height);
  border: 1px solid var(--color-border);
  border-radius: var(--radius-xs);
  overflow: hidden;
}

.buy-button-full__plus,
.buy-button-full__minus {
  width: var(--button-height);

  padding: 0 var(--spacing-md);
  border: none;
  background: transparent;
  cursor: pointer;
}

.buy-button-full__minus {
  background: transparent url('../../../icons/111111/minus.svg') center no-repeat;
}

.buy-button-full__plus {
  background: transparent url('../../../icons/111111/plus.svg') center no-repeat;
}

.buy-button-full__quantity-input {
  flex: 1;
  font-weight: bold;
  text-align: center;
  border: none;
  padding: 0;
}

.buy-button-full__quantity-input::-webkit-outer-spin-button,
.buy-button-full__quantity-input::-webkit-inner-spin-button {
  /* display: none; <- Crashes Chrome on hover */
  -webkit-appearance: none;
  margin: 0; /* <- Apparently some margin are still there even though it's hidden */
}

.buy-button-full__quick-buy {
  width: 100%;
  margin-top: var(--spacing-xs);
}

.buy-button-full__update-indicator {
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 5;
  background-color: var(--color-white-o-25);
  cursor: wait;
}
